<template>
  <div class="footer-container">
    <div class="footer-nav">
      <div class="footer-nav-left">
        <div class="footer-nav-item">
          <div  @click="btnClicked($links('slash_index'))" class="item-content" :class="{'item-content-selected': isHomePageActive}">
            <img v-if="!isHomePageActive" src="~/assets/images/nav/return.svg" alt="Thorchain Home" />
            <img v-else src="~/assets/images/nav/return-selected.svg" alt="THORChain Home" />
            <div>Home</div>
          </div>
        </div>
        <div class="footer-nav-item">
          <div  @click="btnClicked($links('slash_interfaces'))" class="item-content" :class="{'item-content-selected': isInterfacesPageActive}">
            <img v-if="!isInterfacesPageActive" src="~/assets/images/nav/swap.svg" alt="Thorchain Home" />
            <img v-else src="~/assets/images/nav/swap-selected.svg" alt="THORChain Home" />
            <div>Swap Native</div>
          </div>
        </div>
      </div>
      <div class="footer-nav-middle">
        <div
        class="footer-nav-item nav-item-menu-btn"
        role="button"
        @click="$store.dispatch('nav/toggleSidebar')"
        >
          <img
            v-if="!loadingMode"
            :style="menuButton"
            src="~/assets/images/nav/thorchain-circle.svg"
            alt=""
          />
          <DoubleBounce background="#23DCC8" v-else/>
        </div>
      </div>
      <div class="footer-nav-right">
        <div class="footer-nav-item">
          <div  @click="btnClicked($links('slash_liquidity_providers'))" class="item-content" :class="{'item-content-selected': isLiquidityProvidersPageActive}">
            <img v-if="!isLiquidityProvidersPageActive" src="~/assets/images/nav/pool.svg" alt="Thorchain Home" />
            <img v-else src="~/assets/images/nav/pool-selected.svg" alt="Pool" />
            <div>Pool Native</div>
          </div>
        </div>
        <ExtLink :linkProps="$links('nav_news_runebase')" class="footer-nav-item">
          <div class="item-content">
            <img src="~/assets/images/nav/news.svg" alt="THORChain News" />
            <div>News</div>
          </div>
        </ExtLink>
        <!-- <ExtLink :linkProps="$links('nav_immunefi_bug_bounties')" class="footer-nav-item">
          <div class="item-content">
            <img src="~/assets/images/nav/bug-bounty.svg" alt="THORChain Bug Bounties" />
            <div>Bug Bounties</div>
          </div>
        </ExtLink> -->
      </div>
    </div>
  </div>
</template>

<script>
import ExtLink from "../../../components/main/ExtLink"
import smoothscroll from 'smoothscroll-polyfill';
import {DoubleBounce} from 'vue-loading-spinner'
export default {
  components:{
    ExtLink,
    DoubleBounce
  },
  data(){
    return {
      isHomePageActive: this.$route.path == this.$links("slash_index").link,
      isInterfacesPageActive: this.$route.path == this.$links("slash_interfaces").link,
      isLiquidityProvidersPageActive: this.$route.path == this.$links("slash_liquidity_providers").link
    }
  },
  methods:{
    hideSidebar() {
      this.$store.dispatch("nav/toggleSidebar");
    },
    btnClicked(linksProps){
      if(this.$route.path == linksProps.link){
        if(this.isSidebar){
          this.hideSidebar()
        } else
          this.goToTop()
      }
      else{
        this.$router.push(this.localePath(linksProps.link))
        this.isHomePageActive = true
        this.$store.commit('loadingMode', true)
      }

      this.navGtag(linksProps);
    },
    goToTop() {
      window.scrollTo({top: 0, behavior: 'smooth'});
      // document.body.scrollTop = 0;
      // document.documentElement.scrollTop = 0;
    },
    navGtag({action, category, label, link}) {
      if (action && category && label && link) {
        this.$gtag.event( action, {
          'event_category': category,
          'event_label': label,
          'value': link
        })
      } else {
        console.error('Gtag wasn\'t right.')
      }
    }
  },
  beforeMount(){
    smoothscroll.polyfill();
  },
  computed: {
    menuButton() {
      if (!this.$store.getters["nav/toggleSidebar"]) {
        return {
          position: "absolute",
          top: "-1.2rem",
          height: "4.68rem",
        };
      }
      return {
        position: "absolute",
        height: "50px",
      };
    },
    isSidebar() {
      return this.$store.getters["nav/toggleSidebar"];
    },
    loadingMode(){
      console.log("loadingMode: " + this.$store.getters['loadingMode'])

      return this.$store.getters['loadingMode']
    }
  },
  watch:{
    $route(to, from) {
      console.log('route is changed')
      this.isHomePageActive = this.$route.path == this.$links("slash_index").link,
      this.isInterfacesPageActive = this.$route.path == this.$links("slash_interfaces").link,
      this.isLiquidityProvidersPageActive = this.$route.path == this.$links("slash_liquidity_providers").link
    },
    isSidebar(newValue, oldValue){
      if(newValue === true){
        this.isHomePageActive = false;
        this.isInterfacesPageActive = false;
        this.isLiquidityProvidersPageActive = false;
      }
      else if(this.$route.path == this.$links("slash_index").link)
        this.isHomePageActive = true;
      else if(this.$route.path == this.$links("slash_interfaces").link)
        this.isInterfacesPageActive = true;
      else if(this.$route.path == this.$links("slash_liquidity_providers").link)
        this.isLiquidityProvidersPageActive = true;
    }
  }
};
</script>

<style lang="scss">
.footer-container {
  // border: 0.0625rem solid red;
  height: 3.81rem;
  z-index: 20000;
  bottom: 0;
  position: fixed;
  width: 100%;
  background-color: #000b12;
  border-top: 0.0625rem solid #15252e;
  .footer-nav {
    display: flex;
    height: 100%;
    .footer-nav-item {
      flex-grow: 1;
      // border: 0.0625rem solid green;
      display: flex;
      align-items: center;
      justify-content: center;
      .item-content {
        // border: 0.0625rem solid blue;
        width: fit-content;
        display: flex;
        flex-direction: column;
        color: #D1D5DA;
        img {
          height: 1.5625rem ;
          margin-bottom: 0.1875rem ;
        }
        &.item-content-selected{
          color: #23DCC8;
        }
      }

      font-family: Roboto;
      font-style: normal;
      font-weight: normal;
      font-size: 0.6875rem ;
      line-height: 0.75rem ;
      /* identical to box height */

      text-align: center;
      letter-spacing: 0rem ;
      color: #d1d5da;
    }

    .footer-nav-left, .footer-nav-right, .footer-nav-middle{
      display: flex;
    }
    .footer-nav-left, .footer-nav-right{
      min-width: 40%;
      max-width: 40%;
    }
    .footer-nav-middle{
      max-width: 20%;
      min-width: 20%;
    }
  }
}
</style>
